/*
** Module   : longchar.java
** Abstract : Progress 4GL compatible longchar object
**
** Copyright (c) 2012, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------Description----------------------
** 001 AIL 20121206 Created initial version to support for Progress
**                  LONGCHAR type.
*/

package com.goldencode.p2j.util;

import java.io.*;
import com.goldencode.util.*;

/**
 * A class that represents a Progress 4GL compatible longchar object whose
 * data is mutable.
 *
 * @author    AIL
 */
public class longchar
extends character
{
   /**
    * Default constructor, creates an instance that represents the unknown
    * value.
    */
   public longchar()
   {
      super();
   }
   
   /**
    * Constructs an instance that has the <code>String</code> value passed
    * in and which <b>does not</b> represent the <code>unknown value</code>,
    * unless the <code>value</code> argument is <code>null</code>.
    *
    * @param    value
    *           The character value of the resulting instance.
    */
   public longchar(String value)
   {
      super(value);
   }
   
   /**
    * Constructs an instance that has the <code>String</code> value passed
    * in and which <b>does not</b> represent the <code>unknown value</code>
    * unless the <code>value</code> argument is <code>null</code>.
    *
    * @param    value
    *           The character value of the resulting instance.
    * @param    caseSens
    *           Specifies whether this instance should use case sensitive
    *           comparisons.
    */
   public longchar(String value, boolean caseSens)
   {
      super(value, caseSens);
   }
   
   /**
    * Constructs an instance that has a <code>char</code> value passed
    * in and which <b>does not</b> represent the <code>unknown value</code>. 
    *
    * @param    ch
    *           The character value of the resulting instance.
    */
   public longchar(char ch)
   {
      super(ch);
   }
   
   /**
    * Constructs an instance that has the <code>String</code> value and
    * <code>unknown value</code> that exactly matches that of the passed-in 
    * instance.
    *
    * @param    value
    *           The character and unknown value of the resulting instance.
    */
   public longchar(character value)
   {
      //TODO
      deepAssign(value);
   }

}
